QB_UTIL_STOPWATCH_US_ELAPSED_GET(3)

NAME
qb_util_stopwatch_us_elapsed_get - Get the elapsed time in micro seconds.

SYNOPSIS
#include <qb/qbutil.h>

uint64_t qb_util_stopwatch_us_elapsed_get(
    qb_util_stopwatch_t   *sw
);

DESCRIPTION

(it must have been started and stopped).

SEE ALSO

qb_util_nano_current_get(3), qb_util_stopwatch_stop(3), qb_util_stopwatch_split(3), qb_util_stopwatch_split_ctl(3), qb_thread_unlock(3), qb_strerror_r(3), qb_util_stopwatch_time_split_get(3), qb_util_set_log_function(3), qb_util_timespec_from_epoch_get(3), qb_thread_lock_destroy(3), qb_thread_trylock(3), qb_util_nano_monotonic_hz(3), qb_util_nano_from_epoch_get(3), qb_util_stopwatch_create(3), qb_util_stopwatch_split_last(3), qb_thread_lock(3), qb_util_stopwatch_free(3), qb_thread_lock_create(3), qb_timespec_add_ms(3), qb_util_stopwatch_start(3), qb_util_stopwatch_sec_elapsed_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.